curl --request PATCH \
--url https://api.helpdesk.com/v1/teams/{teamID} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Sales team",
"settings": {
"notifyTeamAboutRequestersActivity": true,
"notifyTeamAboutAssignedTicket": true,
"unauthReplyCreatesNewTicket": true,
"tagReminder": true
},
"replyAddressID": "9dd9e888-b42e-46c1-aa63-20cb5354c28c",
"replyName": "Company / Support",
"templateID": "6712e8a9-3401-4ed3-9662-944aa6be817f",
"autoassignmentAgentIDs": [
"9dd9e888-b42e-46c1-aa63-20cb5354c28c"
]
}
'import requests
url = "https://api.helpdesk.com/v1/teams/{teamID}"
payload = {
"name": "Sales team",
"settings": {
"notifyTeamAboutRequestersActivity": True,
"notifyTeamAboutAssignedTicket": True,
"unauthReplyCreatesNewTicket": True,
"tagReminder": True
},
"replyAddressID": "9dd9e888-b42e-46c1-aa63-20cb5354c28c",
"replyName": "Company / Support",
"templateID": "6712e8a9-3401-4ed3-9662-944aa6be817f",
"autoassignmentAgentIDs": ["9dd9e888-b42e-46c1-aa63-20cb5354c28c"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Sales team',
settings: {
notifyTeamAboutRequestersActivity: true,
notifyTeamAboutAssignedTicket: true,
unauthReplyCreatesNewTicket: true,
tagReminder: true
},
replyAddressID: '9dd9e888-b42e-46c1-aa63-20cb5354c28c',
replyName: 'Company / Support',
templateID: '6712e8a9-3401-4ed3-9662-944aa6be817f',
autoassignmentAgentIDs: ['9dd9e888-b42e-46c1-aa63-20cb5354c28c']
})
};
fetch('https://api.helpdesk.com/v1/teams/{teamID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ID": "42e113f9-9353-4e89-9f68-69b92f423b0c",
"licenseID": 13381337,
"createdAt": "2026-06-30T22:02:08.901Z",
"createdBy": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"createdByType": "agent",
"updatedAt": "2026-06-30T22:02:08.901Z",
"updatedBy": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"name": "Sales team",
"settings": {
"notifyTeamAboutRequestersActivity": true,
"notifyTeamAboutAssignedTicket": true,
"unauthReplyCreatesNewTicket": true,
"tagReminder": true
},
"replyAddressID": "9dd9e888-b42e-46c1-aa63-20cb5354c28c",
"replyName": "Company / Support",
"templateID": "6712e8a9-3401-4ed3-9662-944aa6be817f"
}Update team
Authorizations
Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.
Path Parameters
Body
Team name
"Sales team"
Show child attributes
Show child attributes
Reply address ID
"9dd9e888-b42e-46c1-aa63-20cb5354c28c"
From name visible in reply email
"Company / Support"
Template ID
"6712e8a9-3401-4ed3-9662-944aa6be817f"
List of agents that will be considered for ticket assignment within the team.
["9dd9e888-b42e-46c1-aa63-20cb5354c28c"]
Response
Successful response.
Unique object identifier.
Unique account identifier.
The time of creation.
The creator identifier.
The creator type.
agent, client, system The time of last modification.
The modification author identifier.
The team name.
Show child attributes
Show child attributes
The reply address ID.
From name visible in reply email.
The template ID.
The external integrations data.
Was this page helpful?